/* helper files */
@import "helpers/mixins";
@import "base/variables";



.top-cards{
    padding:20px;
    background-color:white;
    height:100%;
    @include border-radius(10px);

    .card-title{
        font-size: 16px;
        font-weight: 500;
    }

}

.card-data-box{
    display: flex;
    flex-direction: row;
    height:100%;
    justify-content: space-between;
  


   
}


.vertical-bar{
    display:block;
    height:100%;
    display:flex;
    flex-direction: column;
    flex: 0 0 30px;
    justify-content: center;
    padding: 0 10px;

    .bar{
        width:5px;
    
    }
    
     .bar-1{
        background-color:$blue;
    
    }
    
     .bar-2{
        background-color:$green;
    }
    
     .bar-3{
        background-color:$red;
    }
    
    .bar-1{
        border-top-left-radius: 2px;
        border-top-right-radius: 2px;
    }
    
    .bar-3{
        border-bottom-left-radius: 2px;
        border-bottom-right-radius: 2px;
    }
    
    
}


.total{
    align-self: center;
    flex: 1 1 40%;
    text-align: left;

    .title{
        font-size: 14px;
        margin-bottom: 0;

    }

    span{
        font-size: 24px;
        font-weight: 700;
        line-height: 26px;
    }
}



.detail{
    display: flex;
    flex-direction: column;
    flex:1 1 calc(60% - 30px);
    justify-content: space-between;

    .total{

       .title1{
        color:$blue;
       }

       .title2{
        color:$green;
       }
       
       .title3{
        color:$red;
       }

        span{
            font-size:20px;
            font-weight: 600;
        }
        
    }
}

.icon-box-wrapper{
    flex:1 0 80px;
    text-align: center;
    position: relative;
    margin-left:20px;
}

.icon-box{
    width:40px;
    height:40px;
    background-color:#134068;
    color:white;
    font-size: 14px;
    text-align: center;
    line-height: 40px; 
    align-self: center;
    @include border-radius(5px);
   position: absolute;
   top:50%;
   transform: translateY(-50%);
    

   img{
       width:14px;
       height: auto;
   }
    
}

.current-box{

    .card-title{
        font-size: 16px;
    font-weight: 500;
    }
    .icon-box1{
        width:36px;
        height:36px;
        background-color:#134068;
        color:white;
        font-size: 14px;
        text-align: center;
        line-height: 36px; 
        align-self: center;
        @include border-radius(5px);
       
    }
}



.detail-horz{
    display:flex;
    flex-direction: row;
    justify-content: space-between;


    .total{
        text-align: right;
        margin-bottom:8px;
        span{
            font-size:18px;
        }
    }

  
}

.current-wrapper{
    display:flex;
    flex-direction:column;
    height:100%;

}

.current-detail{
    display:flex;
    justify-content: space-between;

}

.current-box{
    padding:20px;
    background-color:white;
    height:100%;
    @include border-radius(10px);

    p{
        text-align: center;
    }
}

.death-detail{
    background-color:white;
    text-align: center;
    @include border-radius(10px);

}

.single-detail{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    padding:20px;
    background-color:white;
    @include border-radius(10px);

    .total{
        text-align: right;
        margin-bottom:8px;
        span{
            font-size:18px;
        }
    }
}

